jquEry%1.4.1%vsDoC.js有什么作用?

你可以直接上jquery的官网上下载最新版已经到jquery1.7.2了;一般就两个版本:jquery-1.4.1.js//未压缩版本,即文件比较大,代码带有注释等信息的jquery-1.4.1.min.js//压缩版本,即删除了注释及不必要的换行后的文件,比上面那个文件要小的多,通常我们在网站上使用都会使用压缩版本jquery-1.4.1-vsdoc.js//带详细文档的版本,即文件大小是最大的,当做研究用可以

jquery-1.4.1.min.js 是jquery-1.4.1的压缩版,发布网站得时候可以用它速度比jquery-1.4.1快,占用的流量少Scripts/jquery-1.4.1-vsdoc.js 在使用vs开发时,引用此文件是为了写js代码时能智能提示jQuery的方法参数注释等信息Scripts/jquery-1.4.1.js jQuery框架的未压缩版,开发的时候用,便于查看,调试等

jquery-1.4.2.min.js为JQuery库,版本号为1.4.2,min表明该版本为压缩版,去除了空白字符及注释,并对代码进行了变量、函数名压缩优化等,适合用于生产环境.JQuery是继prototype之后又一个优秀的Javascript库.它是轻量级的js库 ,它兼容

jquery的min版本和原版功能是一样的,和楼主认为的相同.min版主要应用于已经开发成的网页中,而非min版的文件比较大,里面有整洁的代码书写规范和注释,主要应用于脚本开发过程当中.比如,微软的vs开发jquery脚本时就支持代码自动提示功能,在微软的官方网站上也有相关的配置jquery库.至于,楼主调用的jquery.js和jquery-1.4.2.min.js可能是版本上出了问题,现最新的版本是1.6,下载下来试试,官方下载地址:http://docs.jquery.com/downloading_jquery;只引用一个脚本即可!

jquery在 Visual Studio 2008(必须打上SP1补丁包) 中的智能感知文件有了它,你可以在VS2008中写JS代码时,像写后台代码一样出现智能提示了

要看#id是什么样的元素.如果val()不行,可以换成text()试试.

请确认你的jQuery文件被引入到了对应的页面之中.确定你的页面中有<script src="……/jquery-1.4.1-vsdoc.js"></script>,必须保证引用路径正确!然后,你在: <script> $(function(){ $(…… //此处应该有感知了. }) 如果依旧不行,请在页面中引入这句话(保证机器联网): <scritp src=" http://ajax.aspnetcdn.com/ajax/jQuery/jquery-1.6.4.min.js"></script>

jquery冲突的可能性不大 首先用新版的. 然后看下旧版的用到了那些方法. 最大的可能是旧版本的有些方法在新版本删除了或者修改了 导致报错. 插件修改一下相应的代码就好

是一样的,功能上并没有区别,1.4.2未经压缩,保留了代码的可读性,方便用户阅读修改;1.4.2.min是压缩版本,文件体积小,但是代码可读性差,去掉了所有换行

已传

相关文档

电脑版